This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.31. __nv_cospi

Prototype:

    double @__nv_cospi(double %x)

Description:

Calculate the cosine of `x` × π (measured in radians), where `x` is the input argument.

Returns:

- __nv_cospi( ± 0 ) returns 1.

- __nv_cospi( ± ∞ ) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes